diff --git a/books/bookvol10.2.pamphlet b/books/bookvol10.2.pamphlet
index 24ea0fe..0eea5b7 100644
--- a/books/bookvol10.2.pamphlet
+++ b/books/bookvol10.2.pamphlet
@@ -5381,7 +5381,7 @@ HomogeneousAggregate(S:Type): Category == Aggregate with
 	  ++ \axiom{member?(x,u) = reduce(or,[x=y for y in u],false)}.
   add
    if S has Evalable S then
-     eval(u:%,l:List Equation S):% == map(eval(#1,l),u)
+     eval(u:%,l:List Equation S):% == map(x +-> eval(x,l),u)
    if % has finiteAggregate then
      #c			  == # parts c
      any?(f, c)		  == _or/[f x for x in parts c]
@@ -5389,8 +5389,8 @@ HomogeneousAggregate(S:Type): Category == Aggregate with
      count(f:S -> Boolean, c:%) == _+/[1 for x in parts c | f x]
      members x		  == parts x
      if S has SetCategory then
-       count(s:S, x:%) == count(s = #1, x)
-       member?(e, c)   == any?(e = #1,c)
+       count(s:S, x:%) == count(y +-> s = y, x)
+       member?(e, c)   == any?(x +-> e = x,c)
        x = y ==
 	  size?(x, #y) and _and/[a = b for a in parts x for b in parts y]
        coerce(x:%):OutputForm ==
diff --git a/changelog b/changelog
index bf7d3a1..4a19cb4 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090508 tpd src/axiom-website/patches.html 20090508.03.tpd.patch
+20090508 tpd books/bookvol10.2 HOAGG +-> conversion
 20090508 tpd src/axiom-website/patches.html 20090508.02.tpd.patch
 20090508 tpd books/bookvol10.3 ACPLOT +-> conversion
 20090508 tpd src/axiom-website/patches.html 20090508.01.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index a73ec6e..25b749e 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1118,5 +1118,7 @@ apply.boot removed, rewritten into lisp, not autoloaded <br/>
 bookvol10.4 REALSOLV +-> conversion<br/>
 <a href="patches/20090508.02.tpd.patch">20090508.02.tpd.patch</a>
 bookvol10.3 ACPLOT +-> conversion<br/>
+<a href="patches/20090508.03.tpd.patch">20090508.03.tpd.patch</a>
+bookvol10.2 HOAGG +-> conversion<br/>
  </body>
 </html>
